Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GNOME help browser
Name:		yelp
Version:	2.28.1
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2

#Patches:
Patch2:		yelp-2.13.2-add-mime-handling.patch
Patch3:		yelp-2.15.91-use-pango.patch 
# http://bugzilla.gnome.org/show_bug.cgi?id=497559
Patch6: 	hp.patch
Patch12: 	libxul.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires:	scrollkeeper
Requires:	rarian

Requires(pre): GConf
Requires(post): GConf
Requires(post): desktop-file-utils
Requires(preun): GConf
Requires(postun): desktop-file-utils

#Manual build dependencies
BuildRequires: xulrunner-devel-unstable

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: kompozer
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: nspr-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: rarian-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel gnome-doc-utils

%description
Yelp is the Gnome 2 help/documentation browser. It is designed
to help you browse all the documentation on your system in
one central tool.

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/yelp.schemas >& /dev/null || :
update-desktop-database &> /dev/null ||:

# update icon themes
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/yelp.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/yelp.schemas >& /dev/null || :
fi

%postun
update-desktop-database &> /dev/null ||:


%prep
%setup -q
#%patch2 -p1 -b .add-mime-handling
#%patch3 -p1 -b .use-pango
#%patch6 -p1
#%patch12 -p1

%build
%configure \
--with-mozilla=libxul-embedding \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%_sysconfdir/gconf/schemas/yelp.schemas
%_bindir
%_applications
%_datadir/icons
%_datadir/yelp

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-3
- Gnome 2.20.2
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- Gnome 2.20.1.1
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- clean buildchain
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sun Mar 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.5-1
- Initial Release
